<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="abgrigeo-2023-12-31.xsd#abgrigeo_StatementOfFinancialPositionTable" xlink:label="abgrigeo_StatementOfFinancialPositionTable" />
    <loc xlink:type="locator" xlink:href="abgrigeo-2023-12-31.xsd#abgrigeo_StatementOfFinancialPositionLineItems" xlink:label="abgrigeo_StatementOfFinancialPositionLineItems" />
    <loc xlink:type="locator" xlink:href="abgrigeo-2023-12-31.xsd#abgrigeo_ProfitOrLossTable" xlink:label="abgrigeo_ProfitOrLossTable" />
    <loc xlink:type="locator" xlink:href="abgrigeo-2023-12-31.xsd#abgrigeo_ProfitOrLossLineItems" xlink:label="abgrigeo_ProfitOrLossLineItems" />
    <loc xlink:type="locator" xlink:href="abgrigeo-2023-12-31.xsd#abgrigeo_SellingAndDistributionExpenses" xlink:label="abgrigeo_SellingAndDistributionExpenses" />
    <loc xlink:type="locator" xlink:href="abgrigeo-2023-12-31.xsd#abgrigeo_StatementOfCashFlowsTable" xlink:label="abgrigeo_StatementOfCashFlowsTable" />
    <loc xlink:type="locator" xlink:href="abgrigeo-2023-12-31.xsd#abgrigeo_StatementOfCashFlowsLineItems" xlink:label="abgrigeo_StatementOfCashFlowsLineItems" />
    <labelArc xlink:type="arc" xlink:from="abgrigeo_StatementOfFinancialPositionTable" xlink:to="label_abgrigeo_StatementOfFinancialPositionTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="abgrigeo_StatementOfFinancialPositionLineItems" xlink:to="label_StatementOfFinancialPositionLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="abgrigeo_ProfitOrLossTable" xlink:to="label_abgrigeo_ProfitOrLossTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="abgrigeo_ProfitOrLossLineItems" xlink:to="label_ProfitOrLossLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="abgrigeo_SellingAndDistributionExpenses" xlink:to="label_abgrigeo_abgrigeoSellingAndDistributionExpenses_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="abgrigeo_StatementOfCashFlowsTable" xlink:to="label_abgrigeo_StatementOfCashFlowsTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="abgrigeo_StatementOfCashFlowsLineItems" xlink:to="label_StatementOfCashFlowsLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_abgrigeo_StatementOfFinancialPositionTable" id="abgrigeo_StatementOfFinancialPositionTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Statement of financial position [table]</label>
    <label xlink:label="label_StatementOfFinancialPositionLineItems" id="StatementOfFinancialPositionLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Statement of financial position [line items]</label>
    <label xlink:label="label_abgrigeo_ProfitOrLossTable" id="abgrigeo_ProfitOrLossTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [table]</label>
    <label xlink:label="label_ProfitOrLossLineItems" id="ProfitOrLossLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [line items]</label>
    <label xlink:label="label_abgrigeo_abgrigeoSellingAndDistributionExpenses_Standard" id="abgrigeo_abgrigeoSellingAndDistributionExpenses_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Selling and distribution expenses</label>
    <label xlink:label="label_abgrigeo_StatementOfCashFlowsTable" id="abgrigeo_StatementOfCashFlowsTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Statement of cash flows [table]</label>
    <label xlink:label="label_StatementOfCashFlowsLineItems" id="StatementOfCashFlowsLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Statement of cash flows [line items]</label>
  </labelLink>
</linkbase>